Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Oomph » Installer fails
Installer fails [message #1835935] Wed, 16 December 2020 19:55 Go to next message
calvados boulard is currently offline calvados boulardFriend
Messages: 1
Registered: December 2020
Junior Member
Hi everyone,

Running the latest installer I'm presented with this error. Does any one have any suggestions as to how to resolve this?

Thanks,
Cal.


[2020-12-16 11:52:46] ERROR: org.eclipse.equinox.p2.engine code=4 An error occurred during the org.eclipse.equinox.internal.p2.engine.phases.CheckTrust phase.
at org.eclipse.oomph.util.OomphPlugin.coreException(OomphPlugin.java:291)
at org.eclipse.oomph.p2.internal.core.ProfileTransactionImpl$3.commit(ProfileTransactionImpl.java:551)
at org.eclipse.oomph.p2.internal.core.ProfileTransactionImpl.commit(ProfileTransactionImpl.java:343)
at org.eclipse.oomph.setup.p2.impl.P2TaskImpl.perform(P2TaskImpl.java:899)
at org.eclipse.oomph.setup.internal.core.SetupTaskPerformer.doPerformNeededSetupTasks(SetupTaskPerformer.java:3828)
at org.eclipse.oomph.setup.internal.core.SetupTaskPerformer.performNeededSetupTasks(SetupTaskPerformer.java:3756)
at org.eclipse.oomph.setup.internal.core.SetupTaskPerformer.performTriggeredSetupTasks(SetupTaskPerformer.java:3737)
at org.eclipse.oomph.setup.internal.core.SetupTaskPerformer.perform(SetupTaskPerformer.java:3630)
at org.eclipse.oomph.setup.internal.installer.SimpleVariablePage.installPerform(SimpleVariablePage.java:1343)
at org.eclipse.oomph.setup.internal.installer.SimpleVariablePage.access$33(SimpleVariablePage.java:1211)
at org.eclipse.oomph.setup.internal.installer.SimpleVariablePage$20.run(SimpleVariablePage.java:1156)
ERROR: org.eclipse.equinox.p2.engine code=0 session context was:(profile=D__Eclipse_jee-2020-12_eclipse, phase=org.eclipse.equinox.internal.p2.engine.phases.CheckTrust, operand=, action=).
ERROR: org.eclipse.equinox.p2.engine code=0 Error reading signed content.
java.io.IOException: Exception in opening zip file: C:\Users\user\.p2\pool\plugins\com.google.gson_2.8.2.v20180104-1110.jar
at org.eclipse.osgi.framework.util.SecureAction.getZipFile(SecureAction.java:353)
at org.eclipse.osgi.internal.signedcontent.SignedBundleHook.getSignedContent(SignedBundleHook.java:217)
at org.eclipse.equinox.internal.p2.engine.phases.CertificateChecker.checkCertificates(CertificateChecker.java:77)
at org.eclipse.equinox.internal.p2.engine.phases.CertificateChecker.start(CertificateChecker.java:58)
at org.eclipse.equinox.internal.p2.engine.phases.CheckTrust.completePhase(CheckTrust.java:55)
at org.eclipse.equinox.internal.p2.engine.Phase.postPerform(Phase.java:254)
at org.eclipse.equinox.internal.p2.engine.Phase.perform(Phase.java:105)
at org.eclipse.equinox.internal.p2.engine.PhaseSet.perform(PhaseSet.java:50)
at org.eclipse.equinox.internal.p2.engine.Engine.perform(Engine.java:80)
at org.eclipse.equinox.internal.p2.engine.Engine.perform(Engine.java:48)
at org.eclipse.equinox.internal.provisional.p2.director.PlanExecutionHelper.executePlan(PlanExecutionHelper.java:46)
at org.eclipse.oomph.p2.internal.core.ProfileTransactionImpl$3.commit(ProfileTransactionImpl.java:547)
at org.eclipse.oomph.p2.internal.core.ProfileTransactionImpl.commit(ProfileTransactionImpl.java:343)
at org.eclipse.oomph.setup.p2.impl.P2TaskImpl.perform(P2TaskImpl.java:899)
at org.eclipse.oomph.setup.internal.core.SetupTaskPerformer.doPerformNeededSetupTasks(SetupTaskPerformer.java:3828)
at org.eclipse.oomph.setup.internal.core.SetupTaskPerformer.performNeededSetupTasks(SetupTaskPerformer.java:3756)
at org.eclipse.oomph.setup.internal.core.SetupTaskPerformer.performTriggeredSetupTasks(SetupTaskPerformer.java:3737)
at org.eclipse.oomph.setup.internal.core.SetupTaskPerformer.perform(SetupTaskPerformer.java:3630)
at org.eclipse.oomph.setup.internal.installer.SimpleVariablePage.installPerform(SimpleVariablePage.java:1343)
at org.eclipse.oomph.setup.internal.installer.SimpleVariablePage.access$33(SimpleVariablePage.java:1211)
at org.eclipse.oomph.setup.internal.installer.SimpleVariablePage$20.run(SimpleVariablePage.java:1156)
Caused by: java.nio.file.NoSuchFileException: C:\Users\user\.p2\pool\plugins\com.google.gson_2.8.2.v20180104-1110.jar
at java.base/sun.nio.fs.WindowsException.translateToIOException(Unknown Source)
at java.base/sun.nio.fs.WindowsException.rethrowAsIOException(Unknown Source)
at java.base/sun.nio.fs.WindowsException.rethrowAsIOException(Unknown Source)
at java.base/sun.nio.fs.WindowsFileAttributeViews$Basic.readAttributes(Unknown Source)
at java.base/sun.nio.fs.WindowsFileAttributeViews$Basic.readAttributes(Unknown Source)
at java.base/sun.nio.fs.WindowsFileSystemProvider.readAttributes(Unknown Source)
at java.base/java.nio.file.Files.readAttributes(Unknown Source)
at java.base/java.util.zip.ZipFile$Source.get(Unknown Source)
at java.base/java.util.zip.ZipFile$CleanableResource.<init>(Unknown Source)
at java.base/java.util.zip.ZipFile.<init>(Unknown Source)
at java.base/java.util.zip.ZipFile.<init>(Unknown Source)
at java.base/java.util.zip.ZipFile.<init>(Unknown Source)
at org.eclipse.osgi.framework.util.SecureAction.getZipFile(SecureAction.java:335)
at org.eclipse.osgi.internal.signedcontent.SignedBundleHook.getSignedContent(SignedBundleHook.java:217)
at org.eclipse.equinox.internal.p2.engine.phases.CertificateChecker.checkCertificates(CertificateChecker.java:77)
at org.eclipse.equinox.internal.p2.engine.phases.CertificateChecker.start(CertificateChecker.java:58)
at org.eclipse.equinox.internal.p2.engine.phases.CheckTrust.completePhase(CheckTrust.java:55)
at org.eclipse.equinox.internal.p2.engine.Phase.postPerform(Phase.java:254)
at org.eclipse.equinox.internal.p2.engine.Phase.perform(Phase.java:105)
at org.eclipse.equinox.internal.p2.engine.PhaseSet.perform(PhaseSet.java:50)
at org.eclipse.equinox.internal.p2.engine.Engine.perform(Engine.java:80)
at org.eclipse.equinox.internal.p2.engine.Engine.perform(Engine.java:48)
at org.eclipse.equinox.internal.provisional.p2.director.PlanExecutionHelper.executePlan(PlanExecutionHelper.java:46)
at org.eclipse.oomph.p2.internal.core.ProfileTransactionImpl$3.commit(ProfileTransactionImpl.java:547)
at org.eclipse.oomph.p2.internal.core.ProfileTransactionImpl.commit(ProfileTransactionImpl.java:343)
at org.eclipse.oomph.setup.p2.impl.P2TaskImpl.perform(P2TaskImpl.java:899)
at org.eclipse.oomph.setup.internal.core.SetupTaskPerformer.doPerformNeededSetupTasks(SetupTaskPerformer.java:3828)
at org.eclipse.oomph.setup.internal.core.SetupTaskPerformer.performNeededSetupTasks(SetupTaskPerformer.java:3756)
at org.eclipse.oomph.setup.internal.core.SetupTaskPerformer.performTriggeredSetupTasks(SetupTaskPerformer.java:3737)
at org.eclipse.oomph.setup.internal.core.SetupTaskPerformer.perform(SetupTaskPerformer.java:3630)
at org.eclipse.oomph.setup.internal.installer.SimpleVariablePage.installPerform(SimpleVariablePage.java:1343)
at org.eclipse.oomph.setup.internal.installer.SimpleVariablePage.access$33(SimpleVariablePage.java:1211)
... 1 more

[Updated on: Thu, 17 December 2020 04:35]

Report message to a moderator

Re: Installer fails [message #1835942 is a reply to message #1835935] Thu, 17 December 2020 01:58 Go to previous messageGo to next message
Mark Warburton is currently offline Mark WarburtonFriend
Messages: 2
Registered: December 2020
Junior Member
I am also getting a similar failure message from the P2 Director (Eclipse Platform(2020-12)):
Repository http://download.eclipse.org/releases/2020-12/202012161000
Repository http://download.eclipse.org/oomph/updates/milestone/latest
Adding repository http://download.eclipse.org/oomph/updates/milestone/latest
Adding repository http://download.eclipse.org/releases/2020-12/202012161000
Calculating requirements and dependencies.
Computing prerequisite plan
An error was detected while performing the engine operation and the changes are being rolled back. See the log for details.
ERROR: org.eclipse.equinox.p2.engine code=4 An error occurred while collecting items to be installed
  at org.eclipse.oomph.util.OomphPlugin.coreException(OomphPlugin.java:291)
  at org.eclipse.oomph.p2.internal.core.ProfileTransactionImpl$3.commit(ProfileTransactionImpl.java:551)
  at org.eclipse.oomph.p2.internal.core.ProfileTransactionImpl.commit(ProfileTransactionImpl.java:343)
  at org.eclipse.oomph.setup.p2.impl.P2TaskImpl.perform(P2TaskImpl.java:899)
  at org.eclipse.oomph.setup.internal.core.SetupTaskPerformer.doPerformNeededSetupTasks(SetupTaskPerformer.java:3828)
  at org.eclipse.oomph.setup.internal.core.SetupTaskPerformer.access$1(SetupTaskPerformer.java:3771)
  at org.eclipse.oomph.setup.internal.core.SetupTaskPerformer$WorkspaceUtil$1.run(SetupTaskPerformer.java:5137)
  at org.eclipse.core.internal.resources.Workspace.run(Workspace.java:2292)
  at org.eclipse.core.internal.resources.Workspace.run(Workspace.java:2317)
  at org.eclipse.oomph.setup.internal.core.SetupTaskPerformer$WorkspaceUtil.performNeededSetupTasks(SetupTaskPerformer.java:5131)
  at org.eclipse.oomph.setup.internal.core.SetupTaskPerformer$WorkspaceUtil.access$0(SetupTaskPerformer.java:5129)
  at org.eclipse.oomph.setup.internal.core.SetupTaskPerformer.performNeededSetupTasks(SetupTaskPerformer.java:3762)
  at org.eclipse.oomph.setup.internal.core.SetupTaskPerformer.performTriggeredSetupTasks(SetupTaskPerformer.java:3737)
  at org.eclipse.oomph.setup.internal.core.SetupTaskPerformer.perform(SetupTaskPerformer.java:3630)
  at org.eclipse.oomph.setup.ui.wizards.ProgressPage$9.run(ProgressPage.java:593)
  at org.eclipse.oomph.setup.ui.wizards.ProgressPage$11$1.run(ProgressPage.java:720)
  at org.eclipse.core.internal.jobs.Worker.run(Worker.java:63)
  ERROR: org.eclipse.equinox.p2.engine code=0 session context was:(profile=_home_mark_ide-latest-released_eclipse, phase=org.eclipse.equinox.internal.p2.engine.phases.Collect, operand=, action=).
  ERROR: org.eclipse.equinox.p2.artifact.repository code=0 No repository found containing: osgi.bundle,javax.annotation,1.3.5.v20200909-1856
  ERROR: org.eclipse.equinox.p2.artifact.repository code=0 No repository found containing: osgi.bundle,org.apache.ant,1.10.9.v20201106-1946
  ERROR: org.eclipse.equinox.p2.artifact.repository code=0 No repository found containing: osgi.bundle,org.apache.felix.gogo.command,1.1.0.v20201023-1558
  ERROR: org.eclipse.equinox.p2.artifact.repository code=0 No repository found containing: osgi.bundle,org.apache.felix.gogo.runtime,1.1.2.v20201023-1558
  ERROR: org.eclipse.equinox.p2.artifact.repository code=0 No repository found containing: osgi.bundle,org.apache.felix.gogo.shell,1.1.2.v20201023-1558
  ERROR: org.eclipse.equinox.p2.artifact.repository code=0 No repository found containing: osgi.bundle,org.apache.felix.scr,2.1.24.v20200924-1939
  ERROR: org.eclipse.equinox.p2.artifact.repository code=0 No repository found containing: osgi.bundle,org.eclipse.compare,3.7.1200.v20201020-1107
  ERROR: org.eclipse.equinox.p2.artifact.repository code=0 No repository found containing: osgi.bundle,org.eclipse.compare.core,3.6.1000.v20201020-1107
  ERROR: org.eclipse.equinox.p2.artifact.repository code=0 No repository found containing: osgi.bundle,org.eclipse.core.commands,3.9.800.v20201021-1339
  ERROR: org.eclipse.equinox.p2.artifact.repository code=0 No repository found containing: osgi.bundle,org.eclipse.core.databinding,1.10.100.v20200926-1123
  ERROR: org.eclipse.equinox.p2.artifact.repository code=0 No repository found containing: osgi.bundle,org.eclipse.core.databinding.beans,1.7.100.v20201021-1339
  ERROR: org.eclipse.equinox.p2.artifact.repository code=0 No repository found containing: osgi.bundle,org.eclipse.core.externaltools,1.1.800.v20201105-0600
  ERROR: org.eclipse.equinox.p2.artifact.repository code=0 No repository found containing: osgi.bundle,org.eclipse.core.filebuffers,3.6.1100.v20201029-1159
  ERROR: org.eclipse.equinox.p2.artifact.repository code=0 No repository found containing: osgi.bundle,org.eclipse.core.jobs,3.10.1000.v20200909-1312
  ERROR: org.eclipse.equinox.p2.artifact.repository code=0 No repository found containing: osgi.bundle,org.eclipse.core.resources,3.13.900.v20201105-1507
  ERROR: org.eclipse.equinox.p2.artifact.repository code=0 No repository found containing: osgi.bundle,org.eclipse.core.runtime,3.20.0.v20201027-1526
  ERROR: org.eclipse.equinox.p2.artifact.repository code=0 No repository found containing: osgi.bundle,org.eclipse.debug.core,3.17.0.v20201109-1948
  ERROR: org.eclipse.equinox.p2.artifact.repository code=0 No repository found containing: osgi.bundle,org.eclipse.debug.ui,3.14.700.v20201123-0650
  ERROR: org.eclipse.equinox.p2.artifact.repository code=0 No repository found containing: osgi.bundle,org.eclipse.e4.core.commands,0.13.0.v20201119-1132
  ERROR: org.eclipse.equinox.p2.artifact.repository code=0 No repository found containing: osgi.bundle,org.eclipse.e4.core.services,2.2.500.v20200928-2213
  ERROR: org.eclipse.equinox.p2.artifact.repository code=0 No repository found containing: osgi.bundle,org.eclipse.e4.ui.bindings,0.13.0.v20201119-1132
  ERROR: org.eclipse.equinox.p2.artifact.repository code=0 No repository found containing: osgi.bundle,org.eclipse.e4.ui.css.core,0.13.0.v20201015-0653
  ERROR: org.eclipse.equinox.p2.artifact.repository code=0 No repository found containing: osgi.bundle,org.eclipse.e4.ui.css.swt,0.14.0.v20201103-0952
  ERROR: org.eclipse.equinox.p2.artifact.repository code=0 No repository found containing: osgi.bundle,org.eclipse.e4.ui.css.swt.theme,0.13.0.v20201026-1147
  ERROR: org.eclipse.equinox.p2.artifact.repository code=0 No repository found containing: osgi.bundle,org.eclipse.e4.ui.di,1.2.900.v20201021-1339
  ERROR: org.eclipse.equinox.p2.artifact.repository code=0 No repository found containing: osgi.bundle,org.eclipse.e4.ui.dialogs,1.2.100.v20201109-2317
  ERROR: org.eclipse.equinox.p2.artifact.repository code=0 No repository found containing: osgi.bundle,org.eclipse.e4.ui.model.workbench,2.1.900.v20201014-0742
  ERROR: org.eclipse.equinox.p2.artifact.repository code=0 No repository found containing: osgi.bundle,org.eclipse.e4.ui.services,1.4.0.v20201014-0944
  ERROR: org.eclipse.equinox.p2.artifact.repository code=0 No repository found containing: osgi.bundle,org.eclipse.e4.ui.swt.gtk,1.1.0.v20201119-1132
  ERROR: org.eclipse.equinox.p2.artifact.repository code=0 No repository found containing: osgi.bundle,org.eclipse.e4.ui.widgets,1.2.800.v20201021-1339
  ERROR: org.eclipse.equinox.p2.artifact.repository code=0 No repository found containing: osgi.bundle,org.eclipse.e4.ui.workbench,1.12.0.v20201119-1132
  ERROR: org.eclipse.equinox.p2.artifact.repository code=0 No repository found containing: osgi.bundle,org.eclipse.e4.ui.workbench.addons.swt,1.4.0.v20201119-1132
  ERROR: org.eclipse.equinox.p2.artifact.repository code=0 No repository found containing: osgi.bundle,org.eclipse.e4.ui.workbench.renderers.swt,0.15.0.v20201125-0918
  ERROR: org.eclipse.equinox.p2.artifact.repository code=0 No repository found containing: osgi.bundle,org.eclipse.e4.ui.workbench.swt,0.15.0.v20201103-0952
  ERROR: org.eclipse.equinox.p2.artifact.repository code=0 No repository found containing: osgi.bundle,org.eclipse.e4.ui.workbench3,0.15.500.v20201021-1339
  ERROR: org.eclipse.equinox.p2.artifact.repository code=0 No repository found containing: osgi.bundle,org.eclipse.ecf,3.9.101.v20201027-0547
  ERROR: org.eclipse.equinox.p2.artifact.repository code=0 No repository found containing: osgi.bundle,org.eclipse.ecf.filetransfer,5.1.101.v20201025-2315
  ERROR: org.eclipse.equinox.p2.artifact.repository code=0 No repository found containing: osgi.bundle,org.eclipse.ecf.identity,3.9.401.v20201027-0550
  ERROR: org.eclipse.equinox.p2.artifact.repository code=0 No repository found containing: osgi.bundle,org.eclipse.ecf.provider.filetransfer,3.2.601.v20201025-0700
  ERROR: org.eclipse.equinox.p2.artifact.repository code=0 No repository found containing: osgi.bundle,org.eclipse.ecf.provider.filetransfer.httpclient45,1.0.301.v20201025-0700
  ERROR: org.eclipse.equinox.p2.artifact.repository code=0 No repository found containing: osgi.bundle,org.eclipse.emf.common,2.21.0.v20200917-1439
  ERROR: org.eclipse.equinox.p2.artifact.repository code=0 No repository found containing: osgi.bundle,org.eclipse.emf.edit.ui,2.19.0.v20200917-1406
  ERROR: org.eclipse.equinox.p2.artifact.repository code=0 No repository found containing: osgi.bundle,org.eclipse.equinox.common,3.14.0.v20201102-2053
  ERROR: org.eclipse.equinox.p2.artifact.repository code=0 No repository found containing: osgi.bundle,org.eclipse.equinox.http.jetty,3.7.500.v20200915-1207
  ERROR: org.eclipse.equinox.p2.artifact.repository code=0 No repository found containing: osgi.bundle,org.eclipse.equinox.http.servlet,1.6.700.v20201109-1600
  ERROR: org.eclipse.equinox.p2.artifact.repository code=0 No repository found containing: osgi.bundle,org.eclipse.equinox.launcher,1.6.0.v20200915-1508
  ERROR: org.eclipse.equinox.p2.artifact.repository code=0 No repository found containing: osgi.bundle,org.eclipse.equinox.launcher.gtk.linux.x86_64,1.2.0.v20200915-1442
  ERROR: org.eclipse.equinox.p2.artifact.repository code=0 No repository found containing: osgi.bundle,org.eclipse.equinox.p2.console,1.1.400.v20201106-0859
  ERROR: org.eclipse.equinox.p2.artifact.repository code=0 No repository found containing: osgi.bundle,org.eclipse.equinox.p2.jarprocessor,1.1.700.v20200904-1601
  ERROR: org.eclipse.equinox.p2.artifact.repository code=0 No repository found containing: osgi.bundle,org.eclipse.equinox.p2.metadata,2.5.100.v20200908-1020
  ERROR: org.eclipse.equinox.p2.artifact.repository code=0 No repository found containing: osgi.bundle,org.eclipse.equinox.p2.operations,2.5.1000.v20201106-1246
  ERROR: org.eclipse.equinox.p2.artifact.repository code=0 No repository found containing: osgi.bundle,org.eclipse.equinox.p2.repository,2.5.0.v20201013-0853
  ERROR: org.eclipse.equinox.p2.artifact.repository code=0 No repository found containing: osgi.bundle,org.eclipse.equinox.p2.transport.ecf,1.3.0.v20201012-1345
  ERROR: org.eclipse.equinox.p2.artifact.repository code=0 No repository found containing: osgi.bundle,org.eclipse.equinox.p2.ui.importexport,1.2.600.v20201015-1002
  ERROR: org.eclipse.equinox.p2.artifact.repository code=0 No repository found containing: osgi.bundle,org.eclipse.equinox.p2.ui.sdk.scheduler,1.5.0.v20201012-1421
  ERROR: org.eclipse.equinox.p2.artifact.repository code=0 No repository found containing: osgi.bundle,org.eclipse.equinox.preferences,3.8.100.v20201102-2042
  ERROR: org.eclipse.equinox.p2.artifact.repository code=0 No repository found containing: osgi.bundle,org.eclipse.equinox.registry,3.10.0.v20201107-1818
  ERROR: org.eclipse.equinox.p2.artifact.repository code=0 No repository found containing: osgi.bundle,org.eclipse.equinox.security.linux.x86_64,1.1.400.v20200915-1125
  ERROR: org.eclipse.equinox.p2.artifact.repository code=0 No repository found containing: osgi.bundle,org.eclipse.help.base,4.3.100.v20201202-1800
  ERROR: org.eclipse.equinox.p2.artifact.repository code=0 No repository found containing: osgi.bundle,org.eclipse.help.ui,4.2.100.v20200923-2139
  ERROR: org.eclipse.equinox.p2.artifact.repository code=0 No repository found containing: osgi.bundle,org.eclipse.help.webapp,3.10.100.v20201130-2122
  ERROR: org.eclipse.equinox.p2.artifact.repository code=0 No repository found containing: osgi.bundle,org.eclipse.jetty.continuation,9.4.35.v20201120
  ERROR: org.eclipse.equinox.p2.artifact.repository code=0 No repository found containing: osgi.bundle,org.eclipse.jetty.http,9.4.35.v20201120
  ERROR: org.eclipse.equinox.p2.artifact.repository code=0 No repository found containing: osgi.bundle,org.eclipse.jetty.io,9.4.35.v20201120
  ERROR: org.eclipse.equinox.p2.artifact.repository code=0 No repository found containing: osgi.bundle,org.eclipse.jetty.security,9.4.35.v20201120
  ERROR: org.eclipse.equinox.p2.artifact.repository code=0 No repository found containing: osgi.bundle,org.eclipse.jetty.server,9.4.35.v20201120
  ERROR: org.eclipse.equinox.p2.artifact.repository code=0 No repository found containing: osgi.bundle,org.eclipse.jetty.servlet,9.4.35.v20201120
  ERROR: org.eclipse.equinox.p2.artifact.repository code=0 No repository found containing: osgi.bundle,org.eclipse.jetty.util,9.4.35.v20201120
  ERROR: org.eclipse.equinox.p2.artifact.repository code=0 No repository found containing: osgi.bundle,org.eclipse.jface,3.22.0.v20201106-0834
  ERROR: org.eclipse.equinox.p2.artifact.repository code=0 No repository found containing: osgi.bundle,org.eclipse.jface.databinding,1.12.100.v20201014-0742
  ERROR: org.eclipse.equinox.p2.artifact.repository code=0 No repository found containing: osgi.bundle,org.eclipse.jface.notifications,0.2.100.v20201130-1828
  ERROR: org.eclipse.equinox.p2.artifact.repository code=0 No repository found containing: osgi.bundle,org.eclipse.jface.text,3.16.500.v20201112-1545
  ERROR: org.eclipse.equinox.p2.artifact.repository code=0 No repository found containing: osgi.bundle,org.eclipse.jsch.ui,1.3.1100.v20200916-0731
  ERROR: org.eclipse.equinox.p2.artifact.repository code=0 No repository found containing: osgi.bundle,org.eclipse.ltk.core.refactoring,3.11.200.v20201027-1753
  ERROR: org.eclipse.equinox.p2.artifact.repository code=0 No repository found containing: osgi.bundle,org.eclipse.ltk.ui.refactoring,3.11.200.v20201025-2022
  ERROR: org.eclipse.equinox.p2.artifact.repository code=0 No repository found containing: osgi.bundle,org.eclipse.osgi,3.16.100.v20201030-1916
  ERROR: org.eclipse.equinox.p2.artifact.repository code=0 No repository found containing: osgi.bundle,org.eclipse.osgi.compatibility.state,1.2.200.v20200915-2015
  ERROR: org.eclipse.equinox.p2.artifact.repository code=0 No repository found containing: osgi.bundle,org.eclipse.platform,4.18.0.v20201202-1800
  ERROR: org.eclipse.equinox.p2.artifact.repository code=0 No repository found containing: osgi.bundle,org.eclipse.platform.doc.user,4.18.0.v20201202-1459
  ERROR: org.eclipse.equinox.p2.artifact.repository code=0 No repository found containing: osgi.bundle,org.eclipse.rcp,4.18.0.v20201202-1800
  ERROR: org.eclipse.equinox.p2.artifact.repository code=0 No repository found containing: osgi.bundle,org.eclipse.search,3.12.100.v20201116-1027
  ERROR: org.eclipse.equinox.p2.artifact.repository code=0 No repository found containing: osgi.bundle,org.eclipse.swt,3.115.100.v20201202-1103
  ERROR: org.eclipse.equinox.p2.artifact.repository code=0 No repository found containing: osgi.bundle,org.eclipse.swt.browser.chromium.gtk.linux.x86_64,3.115.100.v20201202-1103
  ERROR: org.eclipse.equinox.p2.artifact.repository code=0 No repository found containing: osgi.bundle,org.eclipse.swt.gtk.linux.x86_64,3.115.100.v20201202-1103
  ERROR: org.eclipse.equinox.p2.artifact.repository code=0 No repository found containing: osgi.bundle,org.eclipse.team.ui,3.8.1100.v20200916-0836
  ERROR: org.eclipse.equinox.p2.artifact.repository code=0 No repository found containing: osgi.bundle,org.eclipse.text,3.10.400.v20200925-0557
  ERROR: org.eclipse.equinox.p2.artifact.repository code=0 No repository found containing: osgi.bundle,org.eclipse.text.quicksearch,1.0.400.v20201026-1722
  ERROR: org.eclipse.equinox.p2.artifact.repository code=0 No repository found containing: osgi.bundle,org.eclipse.ui,3.118.100.v20201123-0719
  ERROR: org.eclipse.equinox.p2.artifact.repository code=0 No repository found containing: osgi.bundle,org.eclipse.ui.browser,3.6.1000.v20200910-0548
  ERROR: org.eclipse.equinox.p2.artifact.repository code=0 No repository found containing: osgi.bundle,org.eclipse.ui.cheatsheets,3.7.100.v20200915-1059
  ERROR: org.eclipse.equinox.p2.artifact.repository code=0 No repository found containing: osgi.bundle,org.eclipse.ui.console,3.10.0.v20201021-1231
  ERROR: org.eclipse.equinox.p2.artifact.repository code=0 No repository found containing: osgi.bundle,org.eclipse.ui.editors,3.13.400.v20200923-1238
  ERROR: org.eclipse.equinox.p2.artifact.repository code=0 No repository found containing: osgi.bundle,org.eclipse.ui.externaltools,3.4.900.v20201105-0600
  ERROR: org.eclipse.equinox.p2.artifact.repository code=0 No repository found containing: osgi.bundle,org.eclipse.ui.forms,3.11.0.v20201025-0656
  ERROR: org.eclipse.equinox.p2.artifact.repository code=0 No repository found containing: osgi.bundle,org.eclipse.ui.genericeditor,1.1.900.v20200910-2030
  ERROR: org.eclipse.equinox.p2.artifact.repository code=0 No repository found containing: osgi.bundle,org.eclipse.ui.ide,3.18.0.v20201119-1132
  ERROR: org.eclipse.equinox.p2.artifact.repository code=0 No repository found containing: osgi.bundle,org.eclipse.ui.ide.application,1.3.900.v20201102-2031
  ERROR: org.eclipse.equinox.p2.artifact.repository code=0 No repository found containing: osgi.bundle,org.eclipse.ui.intro,3.6.0.v20201120-1551
  ERROR: org.eclipse.equinox.p2.artifact.repository code=0 No repository found containing: osgi.bundle,org.eclipse.ui.monitoring,1.1.900.v20200907-0838
  ERROR: org.eclipse.equinox.p2.artifact.repository code=0 No repository found containing: osgi.bundle,org.eclipse.ui.navigator,3.9.500.v20201021-1339
  ERROR: org.eclipse.equinox.p2.artifact.repository code=0 No repository found containing: osgi.bundle,org.eclipse.ui.navigator.resources,3.7.500.v20201021-1339
  ERROR: org.eclipse.equinox.p2.artifact.repository code=0 No repository found containing: osgi.bundle,org.eclipse.ui.themes,1.2.1200.v20201112-1139
  ERROR: org.eclipse.equinox.p2.artifact.repository code=0 No repository found containing: osgi.bundle,org.eclipse.ui.views,3.10.500.v20201021-1339
  ERROR: org.eclipse.equinox.p2.artifact.repository code=0 No repository found containing: osgi.bundle,org.eclipse.ui.views.log,1.2.1300.v20200926-2205
  ERROR: org.eclipse.equinox.p2.artifact.repository code=0 No repository found containing: osgi.bundle,org.eclipse.ui.views.properties.tabbed,3.9.0.v20201026-0739
  ERROR: org.eclipse.equinox.p2.artifact.repository code=0 No repository found containing: osgi.bundle,org.eclipse.ui.workbench,3.122.0.v20201122-1345
  ERROR: org.eclipse.equinox.p2.artifact.repository code=0 No repository found containing: osgi.bundle,org.eclipse.ui.workbench.texteditor,3.15.100.v20201116-1727
  ERROR: org.eclipse.equinox.p2.artifact.repository code=0 No repository found containing: osgi.bundle,org.eclipse.update.configurator,3.4.700.v20200907-1237
  ERROR: org.eclipse.equinox.p2.artifact.repository code=0 No repository found containing: osgi.bundle,org.eclipse.urischeme,1.1.200.v20201104-0938
  ERROR: org.eclipse.equinox.p2.artifact.repository code=0 No repository found containing: org.eclipse.update.feature,org.eclipse.e4.rcp,4.18.0.v20201202-1103
  ERROR: org.eclipse.equinox.p2.artifact.repository code=0 No repository found containing: org.eclipse.update.feature,org.eclipse.ecf.core.feature,1.5.701.v20201027-0550
  ERROR: org.eclipse.equinox.p2.artifact.repository code=0 No repository found containing: org.eclipse.update.feature,org.eclipse.ecf.filetransfer.feature,3.14.1702.v20201025-2315
  ERROR: org.eclipse.equinox.p2.artifact.repository code=0 No repository found containing: org.eclipse.update.feature,org.eclipse.ecf.filetransfer.httpclient45.feature,1.0.702.v20201025-2303
  ERROR: org.eclipse.equinox.p2.artifact.repository code=0 No repository found containing: org.eclipse.update.feature,org.eclipse.emf.common,2.21.0.v20200917-1439
  ERROR: org.eclipse.equinox.p2.artifact.repository code=0 No repository found containing: org.eclipse.update.feature,org.eclipse.equinox.p2.core.feature,1.6.800.v20201106-1246
  ERROR: org.eclipse.equinox.p2.artifact.repository code=0 No repository found containing: org.eclipse.update.feature,org.eclipse.equinox.p2.extras.feature,1.4.1000.v20201106-1246
  ERROR: org.eclipse.equinox.p2.artifact.repository code=0 No repository found containing: org.eclipse.update.feature,org.eclipse.equinox.p2.rcp.feature,1.4.1000.v20201106-1246
  ERROR: org.eclipse.equinox.p2.artifact.repository code=0 No repository found containing: org.eclipse.update.feature,org.eclipse.equinox.p2.user.ui,2.4.1000.v20201106-1246
  ERROR: org.eclipse.equinox.p2.artifact.repository code=0 No repository found containing: org.eclipse.update.feature,org.eclipse.help,2.3.400.v20201202-1800
  ERROR: org.eclipse.equinox.p2.artifact.repository code=0 No repository found containing: osgi.bundle,org.eclipse.jetty.util.ajax,9.4.35.v20201120
  ERROR: org.eclipse.equinox.p2.artifact.repository code=0 No repository found containing: org.eclipse.update.feature,org.eclipse.platform,4.18.0.v20201202-1800
  ERROR: org.eclipse.equinox.p2.artifact.repository code=0 No repository found containing: binary,org.eclipse.platform.ide.executable.gtk.linux.x86_64,4.18.0.I20201202-1800
  ERROR: org.eclipse.equinox.p2.artifact.repository code=0 No repository found containing: binary,org.eclipse.platform_root,4.18.0.v20201202-1800
  ERROR: org.eclipse.equinox.p2.artifact.repository code=0 No repository found containing: org.eclipse.update.feature,org.eclipse.rcp,4.18.0.v20201202-1800
  ERROR: org.eclipse.equinox.p2.artifact.repository code=0 No repository found containing: binary,org.eclipse.rcp_root,4.18.0.v20201202-1800

Took 12 seconds.
There are failed tasks.
Press Back to choose different settings or Cancel to abort.
Re: Installer fails [message #1835944 is a reply to message #1835942] Thu, 17 December 2020 04:27 Go to previous messageGo to next message
Ed Merks is currently offline Ed MerksFriend
Messages: 32110
Registered: July 2009
Senior Member
The first problem looks like one often caused by virus scanners, which also cause performance problems:

https://bugs.eclipse.org/bugs/show_bug.cgi?id=548443

So the file C:\Users\user\.p2\pool\plugins\com.google.gson_2.8.2.v20180104-1110.jar probably doesn't exist, but it was downloaded, and then the virus scanner "locked" it prevent it from being move to this final location.

Please refer to this page for how to repair the pool:

https://www.eclipse.org/setups/installer/question/

In particular this:

Use the eclipse installer's bundle pools... menu item to manage where this pool is physically located on disk; this location can become large. The bundle pool Management dialog supports garbage collecting of unused artifacts, i.e., if you delete an installation, the artifacts it uses can potentially be removed from disk. In addition, if some artifact becomes corrupted, or if a corrupted artifact is downloaded from some mirror site, this dialog can be used to detect the damage and to repair it.

Please let me know if that helps fix the problem.

The second problem is generally caused by the client seeing inconsistent metadata from the update site. I.e., content and artifact metadata that doesn't match, So resolution uses the content metadata to decide what to installer but then the artifact metadata is missing for that. Generally such a problem should be self repairing after a few minutes. But to speed that along, you could delete the contents of p2 metadata cache. Similar to repairing the bundle pool, you can bring up the bundle pools... dialog from the menu and use the "Clear Cache...' button.

Please let me know if that helps fix the problem.

-username edited out by request


Ed Merks
Professional Support: https://www.macromodeling.com/

[Updated on: Thu, 17 December 2020 04:43] by Moderator

Report message to a moderator

Re: Installer fails [message #1835950 is a reply to message #1835944] Thu, 17 December 2020 04:58 Go to previous messageGo to next message
Mark Warburton is currently offline Mark WarburtonFriend
Messages: 2
Registered: December 2020
Junior Member
Thanks for that. This problem is 2 days old and was repeated each time I started Eclipse, so the meta-data did not self-resolve it was not resolved within minutes.

However, I was finally able to get it to work by > Help > Check for Updates, which seemed to clear out the invalid data and allow a smooth upgrade. Hopefully this helps others that walk into the same problem.

[Updated on: Thu, 17 December 2020 04:59]

Report message to a moderator

Re: Installer fails [message #1835952 is a reply to message #1835950] Thu, 17 December 2020 06:19 Go to previous message
Ed Merks is currently offline Ed MerksFriend
Messages: 32110
Registered: July 2009
Senior Member
This thread is/was about the installer, but actually you talk about starting Eclipse now...

In general p2 does keep cached versions of repositories on disk. These should automatically refresh when the remote site changes, e.g., when the 2020-12 site changed yesterday because the release was published.. You can force that refresh with Window -> Preferences -> Oomph -> Bundle Pools -> Clear Cache... to delete everything that's cached on disk.


Ed Merks
Professional Support: https://www.macromodeling.com/
Previous Topic:Installation Error
Next Topic:How to use preference recorder?
Goto Forum:
  


Current Time: Sat Dec 04 05:58:29 GMT 2021

Powered by FUDForum. Page generated in 0.02464 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top